### Method

# Ide CompletionContext get_language

#### Declaration

    const gchar*
    ide_completion_context_get_language (
      IdeCompletionContext* self
    )

#### Description

Gets the language identifier which can be useful for providers that support multiple languages.

Available since: | 3.32

#### Return value

Returns: | `const gchar*`
| A language identifier or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.